Skip to main content
POST
Cancel an async Request

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Path Parameters

id
string
required

The Request's operationId.

Required string length: 1 - 200

Response

Cancel an async Request

operationId
string
required
Required string length: 1 - 200
operation
enum<string>
required
Available options:
import,
export,
model-run,
report,
prediction-import,
dataset-version,
source-representation
createdAt
string<date-time>
required

RFC 3339 timestamp in UTC: the offset is Z or +00:00; any other offset is refused.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|[+-]00:00))$
principalId
string
required
Required string length: 1 - 200
cancellable
boolean
required
counts
object
required

submitted equals the sum of pending, succeeded, failed, rejected and cancelled.

reportRef
object
required
revision
integer
required
Required range: x >= 1
state
string
required
Allowed value: "queued"
progress
number
Required range: 0 <= x <= 1
startedAt
string<date-time>

RFC 3339 timestamp in UTC: the offset is Z or +00:00; any other offset is refused.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|[+-]00:00))$
target
object
actualCost
object
retry
object

attempt never exceeds maxAttempts when a bound is declared.

cancelRequestedAt
string<date-time>

RFC 3339 timestamp in UTC: the offset is Z or +00:00; any other offset is refused.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|[+-]00:00))$
resultRefs
object[]